Name:           fskbsetting
Version:        0.3
Release:        %mkrel 3
License:        GPLv3
Summary:        GUI Front-end for setxkbmap Command
URL:            http://forum.runtu.org/index.php/topic,5579.0.html
Group:          System/X11
Source0:        %{name}-%{version}.tar.bz2
Source1:	fskbsetting.png
# PATCH-FIX-OPENSUSE fskbsetting-0.3-desktop.patch lazy.kent.suse@gmail.com
# -- correct desktop-file
Patch0:         fskbsetting-0.3-desktop.patch
Patch1:		fskbsetting.autostart.patch
BuildRequires:  gcc-c++ intltool
BuildRequires: %{_lib}wxgtk2.8-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
fsKBSetting is GUI front-end for setxkbmap command.

%prep
%setup -q
%patch0
%patch1
cp %SOURCE1 .

%build
autoreconf --force --install --symlink
%configure
%{__make} %{?jobs:-j %jobs}

%install

rm -rf %{buildroot}

%{makeinstall}
mkdir %{buildroot}%{_datadir}/pixmaps
cp %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%{__rm} -rf %{buildroot}%{_prefix}/doc/%{name}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TRANSLATORS
%{_datadir}/%{name}
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Dec 28 2010 Александр Казанцев <kazancas@mandriva.org> 0.3-3mdv2010.1
+ Revision: 625675
-initial release
- import fskbsetting


* Thu Sep 7 2010 Alexander Kazancev <kazancas@mandriva.ru> 0.3-3
- fix multiple add to desktop file

* Mon Aug 9 2010 Alexander Kazancev <kazancas@mandriva.ru>
- Add patch for create .config/autostart file

* Mon Jul 12 2010 lazy.kent.suse@gmail.com
- initial package created - 0.3
- corrected desktop-file
- added icon
